diff -Nur attr-2.4.39/man/man1/attr.1 attr-2.4.39-rrt/man/man1/attr.1
--- attr-2.4.39/man/man1/attr.1	2007-09-11 03:00:50.000000000 +0100
+++ attr-2.4.39-rrt/man/man1/attr.1	2007-10-17 13:26:49.000000000 +0100
@@ -16,12 +16,6 @@
 .SH OVERVIEW
 Extended attributes implement the ability for a user to attach
 name:value pairs to objects within the XFS filesystem.
-.P
-They could be used to store meta-information about the file.
-For example "character-set=kanji" could tell a document browser to
-use the Kanji character set when displaying that document
-and "thumbnail=..." could provide a reduced resolution overview of a
-high resolution graphic image.
 .PP
 This document describes the
 .I attr
@@ -32,7 +26,13 @@
 and 
 .IR setfattr (1)
 documentation.
-.P
+.PP
+Extended attributes can be used to store meta-information about the file.
+For example "character-set=kanji" could tell a document browser to
+use the Kanji character set when displaying that document
+and "thumbnail=..." could provide a reduced resolution overview of a
+high resolution graphic image.
+.PP
 In the XFS filesystem, the
 .I names
 can be up to 256 bytes in length, terminated by the first 0 byte.
@@ -41,10 +41,10 @@
 The
 .I values
 can be up to 64KB of arbitrary binary data.
-.P
+.PP
 Attributes can be attached to all types of XFS inodes:
 regular files, directories, symbolic links, device nodes, etc.
-.P
+.PP
 XFS uses 2 disjoint attribute name spaces associated with every
 filesystem object.
 They are the
diff -Nur attr-2.4.39/man/man5/attr.5 attr-2.4.39-rrt/man/man5/attr.5
--- attr-2.4.39/man/man5/attr.5	2007-09-11 03:00:50.000000000 +0100
+++ attr-2.4.39-rrt/man/man5/attr.5	2007-10-17 13:35:41.000000000 +0100
@@ -32,12 +32,8 @@
 Space consumed for extended attributes is counted towards the disk quotas
 of the file owner and file group.
 .PP
-Currently, support for extended attributes is implemented on Linux by
-the ext2, ext3 and XFS filesystem patches, which can be downloaded from
-.B http://acl.bestbits.at/
-and
-.B http://oss.sgi.com/projects/xfs/
-respectively.
+Currently, support for extended attributes is implemented on Linux by the
+ext2, ext3, ext4, XFS, JFS and reiserfs filesystems.
 .SH EXTENDED ATTRIBUTE NAMESPACES
 Attribute names are zero-terminated strings.
 The attribute name is always specified in the fully qualified
@@ -106,16 +102,23 @@
 .SH FILESYSTEM DIFFERENCES
 The kernel and the filesystem may place limits on the maximum number
 and size of extended attributes that can be associated with a file.
+Some file systems, such as ext2/3 and reiserfs, require the filesystem
+to be mounted with the
+.B user_xattr
+mount option in order for extended user attributes to be used.
+.PP
+In the current ext2, ext3 and ext4 filesystem implementations, each
+extended attribute must fit on a single filesystem block (1024, 2048
+or 4096 bytes, depending on the block size specified when the
+filesystem was created).
+.PP
+In the XFS and reiserfs filesystem implementations, there is no
+practical limit on the number or size of extended attributes
+associated with a file, and the algorithms used to store extended
+attribute information on disk are scalable.
 .PP
-In the current ext2 and ext3 filesystem implementations, all extended
-attributes must fit on a single filesystem block (1024, 2048 or 4096 bytes,
-depending on the block size specified when the filesystem
-was created). This limit may be removed in a future version.
-.PP
-In the XFS filesystem implementation, there is no practical limit on the
-number of extended attributes associated with a file, and the algorithms
-used to store extended attribute information on disk are scalable (stored
-either inline in the inode, as an extent, or in a B+ tree).
+In the JFS filesystem implementation, names can be up to 255 bytes and
+values up to 65,535 bytes.
 .SH ADDITIONAL NOTES
 Since the filesystems on which extended attributes are stored might also
 be used on architectures with a different byte order and machine word
